org.eclipse.net4j.signal

## Class SignalActor

- java.lang.Object
- - org.eclipse.net4j.signal.Signal
  - - org.eclipse.net4j.signal.SignalActor

- All Implemented Interfaces:
    Runnable
  Direct Known Subclasses:
    Request, RequestWithConfirmation

      public abstract class SignalActor
      extends Signal

  Represents the sender side of a `signal`.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.signal.Signal

      `NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignalActor(SignalProtocol<?> protocol, Enum<?> literal)`
    `SignalActor(SignalProtocol<?> protocol, short id)`
    `SignalActor(SignalProtocol<?> protocol, short id, String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `execute(BufferInputStream in, BufferOutputStream out)`

    - ### Methods inherited from class org.eclipse.net4j.signal.Signal

      `closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, run, toString, wrapInputStream, wrapOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SignalActor

          public SignalActor(SignalProtocol<?> protocol,
                             short id,
                             String name)

      Since:
        2.0

    - #### SignalActor

          public SignalActor(SignalProtocol<?> protocol,
                             short id)

      Since:
        2.0

    - #### SignalActor

          public SignalActor(SignalProtocol<?> protocol,
                             Enum<?> literal)

      Since:
        2.0

  - ### Method Detail

    - #### execute

          protected final void execute(BufferInputStream in,
                                       BufferOutputStream out)
                                throws Exception

      Specified by:
        `execute` in class `Signal`
      Throws:
        `Exception`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html